require "frigate/version"
require 'active_support/core_ext/object/duplicable'
require 'active_support/core_ext/object/deep_dup'
require 'active_support/concern'
require 'active_model'
require 'hashie/mash'
#
# Description of this module is going to be relised soon
#
module Frigate
end
#
# Requiring Frigate's modules
#
require 'frigate/form'
require 'frigate/operation'
require 'frigate/function'
#
# Typecaster for boolean values. Source: http://drawingablank.me/blog/ruby-boolean-typecasting.html
#
class String
	def to_bool
		return true if self == true || self =~ (/^(true|t|yes|y|1)$/i)
		return false if self == false || self.blank? || self =~ (/^(false|f|no|n|0)$/i)
		raise ArgumentError.new("invalid value for Boolean: \"#{self}\"")
	end
end
#
class Fixnum
	def to_bool
		return true if self == 1
		return false if self == 0
		raise ArgumentError.new("invalid value for Boolean: \"#{self}\"")
	end
end
#
class TrueClass
	def to_i;
		1;
	end

	def to_bool;
		self;
	end
end
#
class FalseClass
	def to_i;
		0;
	end

	def to_bool;
		self;
	end
end
#
class NilClass
	def to_bool;
		false;
	end
end